// Copyright © 2022 BytePlusRTC All rights reserved.
// SPDX-License-Identifier: MIT

package com.volcengine.reactnative.vertc;

import androidx.annotation.NonNull;

import com.facebook.react.bridge.ReactApplicationContext;
import com.volcengine.VolcApiEngine.runtime.*;


public class NativeVariableManager {
  static void init(@NonNull MessageClient msgClient, ReactApplicationContext reactContext) {
    var helper = new ScreenCaptureHelper(reactContext);
    var m = msgClient.proto.variableManager;
    
    m.registerVar("ApplicationContext", (Object[] args) -> reactContext.getApplicationContext());
    m.registerVar("ReactApplicationContext", (Object[] args) -> reactContext);
    m.registerVar("screenIntent", helper::getScreenIntent);

    helper.setup();
  }
}
