// Copyright © 2022 BytePlusRTC All rights reserved.
// SPDX-License-Identifier: MIT

package com.volcengine.reactnative.vertc.vod;

import com.facebook.react.bridge.ReactApplicationContext;
import com.ss.bytertc.engine.RTCVideo;
import com.ss.bytertc.engine.data.AudioSourceType;
import com.ss.ttm.player.TraitObject;
import com.ss.ttvideoengine.TTVideoEngine;

public class VodAudioProxy {
  private String TAG = "VodAudioProxy";

  private TTVideoEngine mVideoEngine;
  private RTCVideo mRTCVideo;

  public void initEngine(TTVideoEngine videoEngine, RTCVideo rtcEngine, ReactApplicationContext reactApplicationContext) {
    mVideoEngine = videoEngine;
    mRTCVideo = rtcEngine;
    rtcEngine.setScreenAudioSourceType(AudioSourceType.AUDIO_SOURCE_TYPE_EXTERNAL);

//    var mVAProcessor = new 
//    mVideoEngine.setAudioProcessor(mVAProcessor);
    
//    TraitObject traitObj = new VodAudioVoiceWrapperObject(reactApplicationContext.getApplicationContext(), rtcEngine);
//    mVideoEngine.setIntOption(TTVideoEngine.PLAYER_OPTION_SET_VOICE, TTVideoEngine.VOICE_EXTERN);
//    mVideoEngine.setTraitObject(TraitObject.ExtVoice, traitObj);

//    mVideoEngine.setIntOption(TTVideoEngine.PLAYER_OPTION_EXTERN_VOICE_OUTPUT_FORMAT, VoiceTrait.AV_PCM_FMT_S16);

//    mVideoEngine.setIntOption(TTVideoEngine.PLAYER_OPTION_SET_VOICE, TTVideoEngine.VOICE_DUMMY);
//    mVideoEngine.setIntOption(TTVideoEngine.PLAYER_OPTION_DUMMY_AUDIO_SLEEP, 0);
  }
  
  public void release() {
    if (mVideoEngine != null) {
      mVideoEngine = null;
    }
    if (mRTCVideo != null) {
      mRTCVideo = null;
    }
  }
}
