// Copyright © 2022 BytePlusRTC All rights reserved.
// SPDX-License-Identifier: MIT

//
//  VideoAudioProcesser.h
//  ByteRTC
//
//  Created by bytedance on 2022/2/10.
//

#import <Foundation/Foundation.h>

@class ByteRTCVideo;

/// Audio mixingID default 3001
extern int VoidAudioMixingID;

@interface VodAudioProcessor : NSObject

/// Initialize
/// @param rtcKit ByteRTCEngineKit
- (instancetype)initWithRTCKit:(ByteRTCVideo *)rtcKit;

/// Open audio
/// @param samplerate Samplerate
/// @param channels Channels
- (void)openAudio:(int)samplerate channels:(int)channels;

/// Process audio
/// @param inouts Inouts
/// @param samples Samples
- (void)processAudio:(float **)inouts samples:(int)samples timestamp:(int64_t)timestamp;


@end
