// Copyright © 2022 BytePlusRTC All rights reserved.
// SPDX-License-Identifier: MIT

//
//  VodVideoProcessor.m
//  FeedShareDemo
//
//  Created by ByteDance on 2022/8/8.
//

#import "VodVideoProcessor.h"
#import "RTCHeader.h"

@interface VodVideoProcessor ()

@property (nonatomic, weak) ByteRTCVideo *rtcKit;

@end

@implementation VodVideoProcessor

- (instancetype)initWithRTCKit:(ByteRTCVideo *)rtcKit {
    if (self = [super init]) {
        self.rtcKit = rtcKit;
        [rtcKit setVideoSourceType:ByteRTCVideoSourceTypeExternal WithStreamIndex:ByteRTCStreamIndexScreen];
    }
    return self;
}

- (void)processVideo:(CVPixelBufferRef)frame timestamp:(int64_t)timestamp {
    [self.rtcKit pushScreenVideoFrame:frame time:CMTimeMake(timestamp, 1) rotation:0];
}

@end
