// Copyright © 2022 BytePlusRTC All rights reserved.
// SPDX-License-Identifier: MIT

export declare enum UserMessageSendResult {
    USER_MESSAGE_SEND_RESULT_SUCCESS = 0,
    USER_MESSAGE_SEND_RESULT_TIMEOUT = 1,
    USER_MESSAGE_SEND_RESULT_BROKEN = 2,
    USER_MESSAGE_SEND_RESULT_NO_RECEIVER = 3,
    USER_MESSAGE_SEND_RESULT_NO_RELAY_PATH = 4,
    USER_MESSAGE_SEND_RESULT_EXCEED_QPS = 5,
    USER_MESSAGE_SEND_RESULT_NOT_JOIN = 100,
    USER_MESSAGE_SEND_RESULT_INIT = 101,
    USER_MESSAGE_SEND_RESULT_NO_CONNECTION = 102,
    USER_MESSAGE_SEND_RESULT_EXCEED_MAX_LENGTH = 103,
    USER_MESSAGE_SEND_RESULT_EMPTY_USER = 104,
    USER_MESSAGE_SEND_RESULT_NOT_LOGIN = 105,
    USER_MESSAGE_SEND_RESULT_SERVER_PARAMS_NOT_SET = 106,
    USER_MESSAGE_SEND_RESULT_UNKNOWN = 1000
}
export declare enum ByteRTCStreamSinglePushEvent {
    SINGLE_STREAM_PUSH_START = 1,
    SINGLE_STREAM_PUSH_SUCCESS = 2,
    SINGLE_STREAM_PUSH_FAILED = 3,
    SINGLE_STREAM_PUSH_STOP = 4,
    SINGLE_STREAM_PUSH_TIMEOUT = 5,
    SINGLE_STREAM_PUSH_PARAM_ERROR = 6
}
export declare enum ByteRTCTranscoderErrorCode {
    TRANSCODER_ERROR_OK = 0,
    TRANSCODER_ERROR_BASE = 1090,
    TRANSCODER_ERROR_INVALID_PARAM = 1091,
    TRANSCODER_ERROR_INVALID_STATE = 1092,
    TRANSCODER_ERROR_INVALID_OPERATOR = 1093,
    TRANSCODER_ERROR_TIMEOUT = 1094,
    TRANSCODER_ERROR_INVALID_PARAM_BY_SERVER = 1095,
    TRANSCODER_ERROR_SUB_TIMEOUT_BY_SERVER = 1096,
    TRANSCODER_ERROR_INVALID_STATE_BY_SERVER = 1097,
    TRANSCODER_ERROR_AUTHENTICATION_BY_CDN = 1098,
    TRANSCODER_ERROR_TIMEOUT_BY_SIGNALING = 1099,
    TRANSCODER_ERROR_MIX_IMAGE_FAIL = 1100,
    TRANSCODER_ERROR_UNKNOW_ERROR_BY_SERVER = 1101
}
export declare enum AudioRecordingErrorCode {
    AUDIO_RECORDING_ERROR_CODE_OK = 0,
    AUDIO_RECORDING_ERROR_CODE_NO_PERMISSION = -1,
    AUDIO_RECORDING_ERROR_CODE_NOT_IN_ROOM = -2,
    AUDIO_RECORDING_ERROR_CODE_ALREADY_STARTED = -3,
    AUDIO_RECORDING_ERROR_CODE_NOT_STARTED = -4,
    AUDIO_RECORDING_ERROR_CODE_NOT_SUPPORT = -5,
    AUDIO_RECORDING_ERROR_CODE_OTHER = -6
}
export declare enum KTVErrorCode {
    OK = 0,
    APPID_INVALID = -3000,
    PARAS_INVALID = -3001,
    GET_MUSIC_FAILED = -3002,
    GET_LYRIC_FAILED = -3003,
    MUSIC_TAKEDOWN = -3004,
    MUSIC_DOWNLOAD = -3005,
    MIDI_DOWNLOAD_FAILED = -3006,
    SYSTEM_BUSY = -3007,
    NETWORK = -3008,
    NOT_JOIN_ROOM = -3009,
    PARSE_DATA = -3010,
    DOWNLOADING = -3012,
    INTERNAL_DOMAIN = -3013,
    INSUFFICIENT_DISK_SPACE = -3014,
    MUSIC_DECRYPTION_FAILED = -3015,
    FILE_RENAME_FAILED = -3016,
    DOWNLOAD_TIMEOUT = -3017,
    CLEAR_CACHE_FAILED = -3018,
    DOWNLOAD_CANCELED = -3019
}
export declare enum PublicStreamErrorCode {
    ERROR_CODE_SUCCESS = 0,
    ERROR_CODE_PUSH_PARAM_ERROR = 1191,
    ERROR_CODE_PUSH_STATE_ERROR = 1192,
    ERROR_CODE_PUSH_INTERNAL_ERROR = 1193,
    ERROR_CODE_PUSH_ERROR = 1195,
    ERROR_CODE_PUSH_TIMEOUT = 1196,
    ERROR_CODE_PULL_NO_PUSH_STREAM = 1300
}
export declare enum SubtitleErrorCode {
    SUBTITLE_ERROR_CODE_UNKNOW = -1,
    SUBTITLE_ERROR_CODE_SUCCESS = 0,
    SUBTITLE_ERROR_CODE_POST_PROCESS_ERROR = 1,
    SUBTITLE_ERROR_CODE_ASR_CONNECTION_ERROR = 2,
    SUBTITLE_ERROR_CODE_ASR_SERVICE_ERROR = 3,
    SUBTITLE_ERROR_CODE_BEFORE_JOIN_ROOM = 4,
    SUBTITLE_ERROR_CODE_ALREADY_ON = 5,
    SUBTITLE_ERROR_CODE_UNSUPPORTED_LANGUAGE = 6,
    SUBTITLE_ERROR_CODE_POST_PROCESS_TIMEOUT = 7
}
export declare enum ErrorCode {
    ERROR_CODE_INVALID_TOKEN = -1000,
    ERROR_CODE_JOIN_ROOM = -1001,
    ERROR_CODE_NO_PUBLISH_PERMISSION = -1002,
    ERROR_CODE_NO_SUBSCRIBE_PERMISSION = -1003,
    ERROR_CODE_DUPLICATE_LOGIN = -1004,
    ERROR_CODE_APP_ID_NULL = -1005,
    ERROR_CODE_KICKED_OUT = -1006,
    ERROR_CODE_ROOM_ID_ILLEGAL = -1007,
    ERROR_CODE_TOKEN_EXPIRED = -1009,
    ERROR_CODE_UPDATE_TOKEN_WITH_INVALID_TOKEN = -1010,
    ERROR_CODE_ROOM_DISMISS = -1011,
    ERROR_CODE_JOIN_ROOM_WITHOUT_LICENSE_AUTHENTICATE_SDK = -1012,
    ERROR_CODE_ROOM_ALREADY_EXIST = -1013,
    ERROR_CODE_USER_ID_DIFFERENT = -1014,
    ERROR_CODE_SERVER_LICENSE_EXPIRE = -1017,
    ERROR_CODE_EXCEEDS_THE_UPPER_LIMIT = -1018,
    ERROR_CODE_LICENSE_PARAMETER_ERROR = -1019,
    ERROR_CODE_LICENSE_FILE_PATH_ERROR = -1020,
    ERROR_CODE_LICENSE_ILLEGAL = -1021,
    ERROR_CODE_LICENSE_EXPIRED = -1022,
    ERROR_CODE_LICENSE_INFORMATION_NOT_MATCH = -1023,
    ERROR_CODE_LICENSE_NOT_MATCH_WITH_CACHE = -1024,
    ERROR_CODE_JOIN_ROOM_ROOM_FORBIDDEN = -1025,
    ERROR_CODE_JOIN_ROOM_USER_FORBIDDEN = -1026,
    ERROR_CODE_JOIN_ROOM_LICENSE_FUNCTION_NOT_FOUND = -1027,
    ERROR_CODE_OVER_SUBSCRIBE_LIMIT = -1070,
    ERROR_CODE_LOAD_SO_LIB = -1072,
    ERROR_CODE_OVER_STREAM_PUBLISH_LIMIT = -1080,
    ERROR_CODE_INVALID_AUDIO_SYNC_USERID_REPEATED = -1083,
    ERROR_CODE_ABNORMAL_SERVER_STATUS = -1084,
    ERROR_CODE_MULTI_ROOM_UNPUBLISH_FAILED = -1085,
    ERROR_CODE_WRONG_AREA_CODE = -1086,
    ERROR_CODE_OVER_SCREEN_PUBLISH_LIMIT = -1081,
    ERROR_CODE_OVER_VIDEO_PUBLISH_LIMIT = -1082
}
export declare enum WarningCode {
    WARNING_CODE_JOIN_ROOM_FAILED = -2001,
    WARNING_CODE_PUBLISH_STREAM_FAILED = -2002,
    WARNING_CODE_SUBSCRIBE_STREAM_FAILED404 = -2003,
    WARNING_CODE_SUBSCRIBE_STREAM_FAILED5XX = -2004,
    WARNING_CODE_INVOKE_ERROR = -2005,
    WARNING_CODE_INVALID_EXPECT_MEDIA_SERVER_ADDRESS = -2007,
    WARNING_CODE_PUBLISH_STREAM_FORBIDEN = -2009,
    WARNING_CODE_SEND_CUSTOM_MESSAGE = -2011,
    WARNING_CODE_RECEIVE_USER_NOTIFY_STOP = -2013,
    WARNING_CODE_USER_IN_PUBLISH = -2014,
    WARNING_CODE_OLD_ROOM_BEEN_REPLACED = -2016,
    WARNING_CODE_IN_ECHO_TEST_MODE = -2017,
    WARNING_CODE_NO_CAMERA_PERMISSION = -5001,
    WARNING_CODE_SET_SCREEN_AUDIO_SOURCE_TYPE_FAILED = -5009,
    WARNING_CODE_SET_SCREEN_STREAM_INDEX_FAILED = -5010,
    WARNING_CODE_SET_SCREEN_STREAM_INVALID_VOICE_PITCH = -5011,
    WARNING_CODE_INVALID_CALL_FOR_EXT_AUDIO = -5013,
    WARNING_CODE_INVALID_SAMI_APPKEY_OR_TOKEN = -7002,
    WARNING_CODE_INVALID_RESOURCE_PATH = -7003,
    WARNING_CODE_LOAD_SAMI_LIBRARY_FAILED = -7004,
    WARNING_CODE_INVALID_SAMI_EFFECT_TYPE = -7005,
    WARNING_CODE_GET_ROOM_FAILED = -2000,
    WARNING_CODE_SUBSCRIBE_STREAM_FORBIDEN = -2010,
    WARNING_CODE_ROOM_ID_ALREADY_EXIST = -2015,
    WARNING_CODE_NO_MICROPHONE_PERMISSION = -5002,
    WARNING_CODE_RECODING_DEVICE_START_FAILED = -5003,
    WARNING_CODE_PLAYOUT_DEVICE_START_FAILED = -5004,
    WARNING_CODE_NO_RECORDING_DEVICE = -5005,
    WARNING_CODE_NO_PLAYOUT_DEVICE = -5006,
    WARNING_CODE_RECORDING_SILENCE = -5007,
    WARNING_CODE_MEDIA_DEVICE_OPERATION_DENIED = -5008
}
export declare enum RoomMessageSendResult {
    ROOM_MESSAGE_SEND_RESULT_SUCCESS = 200,
    ROOM_MESSAGE_SEND_RESULT_EXCEED_QPS = 5,
    ROOM_MESSAGE_SEND_RESULT_NOT_JOIN = 100,
    ROOM_MESSAGE_SEND_RESULT_INIT = 101,
    ROOM_MESSAGE_SEND_RESULT_NO_CONNECTION = 102,
    ROOM_MESSAGE_SEND_RESULT_EXCEED_MAX_LENGTH = 103,
    ROOM_MESSAGE_SEND_RESULT_UNKNOWN = 1000
}
export declare enum LoginErrorCode {
    LOGIN_ERROR_CODE_SUCCESS = 0,
    LOGIN_ERROR_CODE_INVALID_TOKEN = -1000,
    LOGIN_ERROR_CODE_LOGIN_FAILED = -1001,
    LOGIN_ERROR_CODE_INVALID_USER_ID = -1002,
    LOGIN_ERROR_CODE_SERVER_ERROR = -1003
}
export declare enum TranscodingError {
    TRANSCODING_ERROR_OK = 0,
    TRANSCODING_ERROR_INVALID_ARGUMENT = 1,
    TRANSCODING_ERROR_SUBSCRIBE = 2,
    TRANSCODING_ERROR_PROCESSING = 3,
    TRANSCODING_ERROR_PUBLISH = 4
}
