// Copyright © 2022 BytePlusRTC All rights reserved.
// SPDX-License-Identifier: MIT

export declare enum ByteRTCKTVErrorCode {
    ByteRTCKTVErrorCodeOK = 0,
    ByteRTCKTVErrorCodeAppidInValid = -3000,
    ByteRTCKTVErrorCodeParasInValid = -3001,
    ByteRTCKTVErrorCodeGetMusicFailed = -3002,
    ByteRTCKTVErrorCodeGetLyricFailed = -3003,
    ByteRTCKTVErrorCodeMusicTakedown = -3004,
    ByteRTCKTVErrorCodeMusicDownload = -3005,
    ByteRTCKTVErrorCodeMidiDownloadFailed = -3006,
    ByteRTCKTVErrorCodeSystemBusy = -3007,
    ByteRTCKTVErrorCodeNetwork = -3008,
    ByteRTCKTVErrorCodeNotJoinRoom = -3009,
    ByteRTCKTVErrorCodeParseData = -3010,
    ByteRTCKTVErrorCodeDownloading = -3012,
    ByteRTCKTVErrorCodeInternal = -3013,
    ByteRTCKTVErrorCodeInsufficientDiskSpace = -3014,
    ByteRTCKTVErrorCodeMusicDecryptionFailed = -3015,
    ByteRTCKTVErrorCodeFileRenameFailed = -3016,
    ByteRTCKTVErrorCodeDownloadTimeOut = -3017,
    ByteRTCKTVErrorCodeClearCacheFailed = -3018,
    ByteRTCKTVErrorCodeDownloadCanceled = -3019,
    ByteRTCKTVErrorCodeDownload = -3011
}
export declare enum ByteRTCNetworkDetectionStartReturn {
    ByteRTCNetworkDetectionStartReturnSuccess = 0,
    ByteRTCNetworkDetectionStartReturnParamErr = 1,
    ByteRTCNetworkDetectionStartReturnStreaming = 2,
    ByteRTCNetworkDetectionStartReturnStarted = 3,
    ByteRTCNNetworkDetectionStartReturnNotSupport = 4
}
export declare enum ByteRTCPublicStreamErrorCode {
    ByteRTCPublicStreamErrorCodeSuccess = 0,
    ByteRTCPublicStreamErrorCodePushParamError = 1191,
    ByteRTCPublicStreamErrorCodePushStatusError = 1192,
    ByteRTCPublicStreamErrorCodePushInternalError = 1193,
    ByteRTCPublicStreamErrorCodePushError = 1195,
    ByteRTCPublicStreamErrorCodePushTimeOut = 1196,
    ByteRTCPublicStreamErrorCodePullNoPushStream = 1300
}
export declare enum ByteRTCAudioRecordingErrorCode {
    ByteRTCAudioRecordingErrorCodeOk = 0,
    ByteRTCAudioRecordingErrorCodeNoPermission = -1,
    ByteRTCAudioRecordingErrorNotInRoom = -2,
    ByteRTCAudioRecordingAlreadyStarted = -3,
    ByteRTCAudioRecordingNotStarted = -4,
    ByteRTCAudioRecordingErrorCodeNotSupport = -5,
    ByteRTCAudioRecordingErrorCodeOther = -6
}
export declare enum ByteRTCSingleStreamPushEvent {
    ByteRTCSingleStreamPushEventBase = 0,
    ByteRTCSingleStreamPushEventStart = 1,
    ByteRTCSingleStreamPushEventStartSuccess = 2,
    ByteRTCSingleStreamPushEventStartFailed = 3,
    ByteRTCSingleStreamPushEventStop = 4,
    ByteRTCSingleStreamPushEventTimeout = 5,
    ByteRTCSingleStreamPushEventParamError = 6
}
export declare enum ByteRTCRoomMessageSendResult {
    ByteRTCRoomMessageSendResultSuccess = 200,
    ByteRTCRoomMessageSendResultTimeout = 1,
    ByteRTCRoomMessageSendResultNetworkDisconnected = 2,
    ByteRTCRoomMessageSendResultExceedQPS = 5,
    ByteRTCRoomMessageSendResultNotJoin = 100,
    ByteRTCRoomMessageSendResultInit = 101,
    ByteRTCRoomMessageSendResultNoConnection = 102,
    ByteRTCRoomMessageSendResultExceedMaxLength = 103,
    ByteRTCRoomMessageSendResultUnknown = 1000
}
export declare enum ByteRTCWarningCode {
    ByteRTCWarningCodeJoinRoomFailed = -2001,
    ByteRTCWarningCodePublishStreamFailed = -2002,
    ByteRTCWarningCodeSubscribeStreamFailed404 = -2003,
    ByteRTCWarningCodeSubscribeStreamFailed5xx = -2004,
    ByteRTCWarningCodeInvokeError = -2005,
    ByteRTCWarningCodeInvalidExpectMediaServerAddress = -2007,
    ByteRTCWarningCodePublishStreamForbiden = -2009,
    ByteRTCWarningCodeSendCustomMessage = -2011,
    ByteRTCWarningCodeCodeUserNotifyStop = -2013,
    ByteRTCWarningCodeUserInPublish = -2014,
    ByteRTCWarningCodeOldRoomBeenReplaced = -2016,
    ByteRTCWarningCodeInEchoTestMode = -2017,
    ByteRTCWarningCodeNoCameraPermission = -5001,
    ByteRTCWarningSetScreenAudioSourceTypeFailed = -5009,
    ByteRTCWarningSetScreenAudioStreamIndexFailed = -5010,
    ByteRTCWarningInvalidVoicePitch = -5011,
    ByteRTCWarningInvalidCallForExtAudio = -5013,
    ByteRTCWarningCodeInvalidCanvasHandle = -6001,
    ByteRTCWarningCodeInvaildSamiAppkeyORToken = -7002,
    ByteRTCWarningCodeInvaildSamiResourcePath = -7003,
    ByteRTCWarningCodeLoadSamiLibraryFailed = -7004,
    ByteRTCWarningCodeInvaildSamiEffectType = -7005,
    ByteRTCWarningCodeGetRoomFailed = -2000,
    ByteRTCWarningCodeSubscribeStreamForbiden = -2010,
    ByteRTCWarningCodeRoomAlreadyExist = -2015,
    ByteRTCWarningCodeNoMicrophonePermission = -5002,
    ByteRTCWarningCodeAudioDeviceManagerRecordingStartFail = -5003,
    ByteRTCWarningCodeAudioDeviceManagerPlayoutStartFail = -5004,
    ByteRTCWarningCodeNoRecordingDevice = -5005,
    ByteRTCWarningCodeNoPlayoutDevice = -5006,
    ByteRTCWarningCodeRecordingSilence = -5007,
    ByteRTCWarningCodeMediaDeviceOperationDennied = -5008
}
export declare enum ByteRTCErrorCode {
    ByteRTCErrorCodeInvalidToken = -1000,
    ByteRTCErrorCodeJoinRoom = -1001,
    ByteRTCErrorCodeNoPublishPermission = -1002,
    ByteRTCErrorCodeNoSubscribePermission = -1003,
    ByteRTCErrorCodeDuplicateLogin = -1004,
    ByteRTCErrorCodeKickedOut = -1006,
    ByteRTCErrorCodeRoomIdIllegal = -1007,
    ByteRTCErrorCodeTokenExpired = -1009,
    ByteRTCErrorCodeUpdateTokenWithInvalidToken = -1010,
    ByteRTCErrorCodeRoomDismiss = -1011,
    ByteRTCJoinRoomWithoutLicenseAuthenticateSDK = -1012,
    ByteRTCRoomAlreadyExist = -1013,
    ByteRTCUserIDDifferent = -1014,
    ByteRTCErrorCodeJoinRoomServerLicenseExpired = -1017,
    ByteRTCErrorCodeJoinRoomExceedsTheUpperLimit = -1018,
    ByteRTCErrorCodeJoinRoomLicenseParameterError = -1019,
    ByteRTCErrorCodeJoinRoomLicenseFilePathError = -1020,
    ByteRTCErrorCodeJoinRoomLicenseIllegal = -1021,
    ByteRTCErrorCodeJoinRoomLicenseExpired = -1022,
    ByteRTCErrorCodeJoinRoomLicenseInformationNotMatch = -1023,
    ByteRTCErrorCodeJoinRoomLicenseNotMatchWithCache = -1024,
    ByteRTCErrorCodeJoinRoomRoomForbidden = -1025,
    ByteRTCErrorCodeJoinRoomUserForbidden = -1026,
    ByteRTCErrorCodeOverStreamSubscribeLimit = -1070,
    ByteRTCErrorCodeOverStreamPublishLimit = -1080,
    ByteRTCErrorCodInvalidAudioSyncUidRepeated = -1083,
    ByteRTCErrorCodeAbnormalServerStatus = -1084,
    ByteRTCErrorCodeMultiRoomUnpublishFailed = -1085,
    ByteRTCErrorCodeWrongAreaCode = -1086,
    ByteRTCErrorCodeDeadLockNotify = -1111,
    ByteRTCErrorCodeOverScreenPublishLimit = -1081,
    ByteRTCErrorCodeOverVideoPublishLimit = -1082
}
export declare enum ByteRTCUserMessageSendResult {
    ByteRTCUserMessageSendResultSuccess = 0,
    ByteRTCUserMessageSendResultTimeout = 1,
    ByteRTCUserMessageSendResultNetworkDisconnected = 2,
    ByteRTCUserMessageSendResultNoReceiver = 3,
    ByteRTCUserMessageSendResultNoRelayPath = 4,
    ByteRTCUserMessageSendResultExceedQPS = 5,
    ByteRTCUserMessageSendResultE2BSSendFailed = 17,
    ByteRTCUserMessageSendResultE2BSReturnFailed = 18,
    ByteRTCUserMessageSendResultNotJoin = 100,
    ByteRTCUserMessageSendResultInit = 101,
    ByteRTCUserMessageSendResultNoConnection = 102,
    ByteRTCUserMessageSendResultExceedMaxLength = 103,
    ByteRTCUserMessageSendResultEmptyUser = 104,
    ByteRTCUserMessageSendResultNotLogin = 105,
    ByteRTCUserMessageSendResultServerParamsNotSet = 106,
    ByteRTCUserMessageSendResultUnknown = 1000
}
export declare enum ByteRTCLoginErrorCode {
    ByteRTCLoginErrorCodeSuccess = 0,
    ByteRTCLoginErrorCodeInvalidToken = -1000,
    ByteRTCLoginErrorCodeLoginFailed = -1001,
    ByteRTCLoginErrorCodeInvalidUserId = -1002,
    ByteRTCLoginErrorCodeServerError = -1003
}
export declare enum ByteRTCStreamMixingErrorCode {
    ByteRTCStreamMixingErrorCodeOK = 0,
    ByteRTCStreamMixingErrorCodeBase = 1090,
    ByteRTCStreamMixingErrorCodeInvalidParam = 1091,
    ByteRTCStreamMixingErrorCodeInvalidState = 1092,
    ByteRTCStreamMixingErrorCodeInvalidOperator = 1093,
    ByteRTCStreamMixingErrorCodeTimeOut = 1094,
    ByteRTCStreamMixingErrorCodeInvalidParamByServer = 1095,
    ByteRTCStreamMixingErrorCodeSubTimeoutByServer = 1096,
    ByteRTCStreamMixingErrorCodeInvalidStateByServer = 1097,
    ByteRTCStreamMixingErrorCodeAuthenticationByCDN = 1098,
    ByteRTCStreamMixingErrorCodeTimeoutBySignaling = 1099,
    ByteRTCStreamMixingErrorCodeMixImageFail = 1100,
    ByteRTCStreamMixingErrorCodeUnKnownErrorByServer = 1101,
    ByteRTCStreamMixingErrorCodeCacheSyncWorse = 1102,
    ByteRTCStreamMixingErrorCodeMax = 1199
}
export declare enum ByteRTCSubtitleErrorCode {
    ByteRTCSubtitleErrorCodeUnknow = -1,
    ByteRTCSubtitleErrorCodeSuccess = 0,
    ByteRTCSubtitleErrorCodePostProcessError = 1,
    ByteRTCSubtitleErrorCodeASRConnectionError = 2,
    ByteRTCSubtitleErrorCodeASRServiceError = 3,
    ByteRTCSubtitleErrorCodeBeforeJoinRoom = 4,
    ByteRTCSubtitleErrorCodeAlreadyOn = 5,
    ByteRTCSubtitleErrorCodeUnsupportedLanguage = 6,
    ByteRTCSubtitleErrorCodePostProcessTimeout = 7
}
export declare enum ByteRtcTranscoderErrorCode {
    ByteRtcTranscoderErrorCodeOK = 0,
    ByteRtcTranscoderErrorCodeBase = 1090,
    ByteRtcTranscoderErrorCodeInvalidParam = 1091,
    ByteRtcTranscoderErrorCodeInvalidState = 1092,
    ByteRtcTranscoderErrorCodeInvalidOperator = 1093,
    ByteRtcTranscoderErrorCodeTimeOut = 1094,
    ByteRtcTranscoderErrorCodeInvalidParamByServer = 1095,
    ByteRtcTranscoderErrorCodeSubTimeoutByServer = 1096,
    ByteRtcTranscoderErrorCodeInvalidStateByServer = 1097,
    ByteRtcTranscoderErrorCodeAuthenticationByCDN = 1098,
    ByteRtcTranscoderErrorCodeTimeoutBySignaling = 1099,
    ByteRtcTranscoderErrorCodeMixImageFail = 1100,
    ByteRtcTranscoderErrorCodeUnKnownErrorByServer = 1101,
    ByteRtcTranscoderErrorCodeCacheSyncWorse = 1102,
    ByteRtcTranscoderErrorCodeMax = 1199
}
export declare enum ByteRTSWarningCode {
    ByteRTSWarningCodeJoinRoomFailed = -2001,
    ByteRTSWarningCodePublishStreamFailed = -2002,
    ByteRTSWarningCodeInvokeError = -2005,
    ByteRTSWarningCodeInvalidExpectMediaServerAddress = -2007,
    ByteRTSWarningCodeSendCustomMessage = -2011,
    ByteRTSWarningCodeOldRoomBeenReplaced = -2016,
    ByteRTSWarningCodeGetRoomFailed = -2000,
    ByteRTSWarningCodeRoomAlreadyExist = -2015
}
export declare enum ByteRTSErrorCode {
    ByteRTSErrorCodeInvalidToken = -1000,
    ByteRTSErrorCodeJoinRoom = -1001,
    ByteRTSErrorCodeDuplicateLogin = -1004,
    ByteRTSErrorCodeKickedOut = -1006,
    ByteRTSErrorCodeRoomIdIllegal = -1007,
    ByteRTSErrorCodeTokenExpired = -1009,
    ByteRTSErrorCodeUpdateTokenWithInvalidToken = -1010,
    ByteRTSErrorCodeRoomDismiss = -1011,
    ByteRTSErrorRoomAlreadyExist = -1013,
    ByteRTSErrorUserIDDifferent = -1014,
    ByteRTSErrorCodeAbnormalServerStatus = -1084
}
