// Copyright © 2022 BytePlusRTC All rights reserved.
// SPDX-License-Identifier: MIT

import * as $p_a from '../android/index';
import * as $p_i from '../ios/index';
export declare enum UserMessageSendResult {
    /** {en}
     * @platform android
     * @brief The message has been sent successfully.
     *
     */
    USER_MESSAGE_SEND_RESULT_SUCCESS = 0,
    /** {en}
     * @platform android
     * @brief Failure. Sending timeout.
     *
     */
    USER_MESSAGE_SEND_RESULT_TIMEOUT = 1,
    /** {en}
     * @platform android
     * @brief Failure. Channel disconnected.
     *
     */
    USER_MESSAGE_SEND_RESULT_BROKEN = 2,
    /** {en}
     * @platform android
     * @brief Failure. Recipient not found.
     *
     */
    USER_MESSAGE_SEND_RESULT_NO_RECEIVER = 3,
    /** {en}
     * @platform android
     * @brief Failure. The remote user did not logged in or joining the room.
     *
     */
    USER_MESSAGE_SEND_RESULT_NO_RELAY_PATH = 4,
    /** {en}
     * @platform android
     * @brief Failure. Exceeds QPS limit.
     *
     */
    USER_MESSAGE_SEND_RESULT_EXCEED_QPS = 5,
    /** {en}
     * @platform android
     * @brief Failure. The sender of the message did not join the room
     *
     */
    USER_MESSAGE_SEND_RESULT_NOT_JOIN = 6,
    /** {en}
     * @platform android
     * @brief Failure. The connection has not completed initialization.
     *
     */
    USER_MESSAGE_SEND_RESULT_INIT = 7,
    /** {en}
     * @platform android
     * @brief Failure. No data transmission channel connection available
     *
     */
    USER_MESSAGE_SEND_RESULT_NO_CONNECTION = 8,
    /** {en}
     * @platform android
     * @brief Failure. Message exceeds the range of the permitted size, 64 KB.
     *
     */
    USER_MESSAGE_SEND_RESULT_EXCEED_MAX_LENGTH = 9,
    /** {en}
     * @platform android
     * @brief Failure. The id of the recipient is empty
     *
     */
    USER_MESSAGE_SEND_RESULT_EMPTY_USER = 10,
    /** {en}
     * @platform android
     * @brief Failure. The sender of the message did not log in.
     *
     */
    USER_MESSAGE_SEND_RESULT_NOT_LOGIN = 11,
    /** {en}
     * @platform android
     * @brief Failure. No parameters were set before sending the message to the business-side server
     *
     */
    USER_MESSAGE_SEND_RESULT_SERVER_PARAMS_NOT_SET = 12,
    /** {en}
     * @platform android
     * @brief Failure. Unknown error
     *
     */
    USER_MESSAGE_SEND_RESULT_UNKNOWN = 13,
    ByteRTCUserMessageSendResultSuccess = 14,
    ByteRTCUserMessageSendResultTimeout = 15,
    ByteRTCUserMessageSendResultNetworkDisconnected = 16,
    ByteRTCUserMessageSendResultNoReceiver = 17,
    ByteRTCUserMessageSendResultNoRelayPath = 18,
    ByteRTCUserMessageSendResultExceedQPS = 19,
    ByteRTCUserMessageSendResultE2BSSendFailed = 20,
    ByteRTCUserMessageSendResultE2BSReturnFailed = 21,
    ByteRTCUserMessageSendResultNotJoin = 22,
    ByteRTCUserMessageSendResultInit = 23,
    ByteRTCUserMessageSendResultNoConnection = 24,
    ByteRTCUserMessageSendResultExceedMaxLength = 25,
    ByteRTCUserMessageSendResultEmptyUser = 26,
    ByteRTCUserMessageSendResultNotLogin = 27,
    ByteRTCUserMessageSendResultServerParamsNotSet = 28,
    ByteRTCUserMessageSendResultUnknown = 29
}
export declare enum AudioRecordingErrorCode {
    AUDIO_RECORDING_ERROR_CODE_ALREADY_STARTED = 0,
    AUDIO_RECORDING_ERROR_CODE_NOT_STARTED = 1,
    AUDIO_RECORDING_ERROR_CODE_OK = 2,
    AUDIO_RECORDING_ERROR_CODE_NO_PERMISSION = 3,
    AUDIO_RECORDING_ERROR_CODE_NOT_IN_ROOM = 4,
    AUDIO_RECORDING_ERROR_CODE_NOT_SUPPORT = 5,
    AUDIO_RECORDING_ERROR_CODE_OTHER = 6,
    ByteRTCAudioRecordingErrorCodeOk = 7,
    ByteRTCAudioRecordingErrorCodeNoPermission = 8,
    ByteRTCAudioRecordingErrorNotInRoom = 9,
    ByteRTCAudioRecordingErrorCodeNotSupport = 10,
    ByteRTCAudioRecordingErrorCodeOther = 11
}
export declare enum KTVErrorCode {
    OK = 0,
    APPID_INVALID = 1,
    PARAS_INVALID = 2,
    GET_MUSIC_FAILED = 3,
    GET_LYRIC_FAILED = 4,
    MUSIC_TAKEDOWN = 5,
    MUSIC_DOWNLOAD = 6,
    MIDI_DOWNLOAD_FAILED = 7,
    SYSTEM_BUSY = 8,
    NETWORK = 9,
    NOT_JOIN_ROOM = 10,
    PARSE_DATA = 11,
    DOWNLOADING = 12,
    INTERNAL_DOMAIN = 13,
    INSUFFICIENT_DISK_SPACE = 14,
    MUSIC_DECRYPTION_FAILED = 15,
    FILE_RENAME_FAILED = 16,
    DOWNLOAD_TIMEOUT = 17,
    CLEAR_CACHE_FAILED = 18,
    DOWNLOAD_CANCELED = 19,
    ByteRTCKTVErrorCodeOK = 20,
    ByteRTCKTVErrorCodeAppidInValid = 21,
    ByteRTCKTVErrorCodeParasInValid = 22,
    ByteRTCKTVErrorCodeGetMusicFailed = 23,
    ByteRTCKTVErrorCodeGetLyricFailed = 24,
    ByteRTCKTVErrorCodeMusicTakedown = 25,
    ByteRTCKTVErrorCodeMusicDownload = 26,
    ByteRTCKTVErrorCodeMidiDownloadFailed = 27,
    ByteRTCKTVErrorCodeSystemBusy = 28,
    ByteRTCKTVErrorCodeNetwork = 29,
    ByteRTCKTVErrorCodeNotJoinRoom = 30,
    ByteRTCKTVErrorCodeParseData = 31,
    ByteRTCKTVErrorCodeDownloading = 32,
    ByteRTCKTVErrorCodeInternal = 33,
    ByteRTCKTVErrorCodeInsufficientDiskSpace = 34,
    ByteRTCKTVErrorCodeMusicDecryptionFailed = 35,
    ByteRTCKTVErrorCodeFileRenameFailed = 36,
    ByteRTCKTVErrorCodeDownloadTimeOut = 37,
    ByteRTCKTVErrorCodeClearCacheFailed = 38,
    ByteRTCKTVErrorCodeDownloadCanceled = 39
}
export declare enum PublicStreamErrorCode {
    ERROR_CODE_SUCCESS = 0,
    ERROR_CODE_PUSH_PARAM_ERROR = 1,
    ERROR_CODE_PUSH_INTERNAL_ERROR = 2,
    ERROR_CODE_PUSH_ERROR = 3,
    ERROR_CODE_PUSH_TIMEOUT = 4,
    ERROR_CODE_PULL_NO_PUSH_STREAM = 5,
    ERROR_CODE_PUSH_STATE_ERROR = 6,
    ByteRTCPublicStreamErrorCodePushStatusError = 7
}
export declare enum SubtitleErrorCode {
    SUBTITLE_ERROR_CODE_UNKNOW = 0,
    SUBTITLE_ERROR_CODE_SUCCESS = 1,
    SUBTITLE_ERROR_CODE_POST_PROCESS_ERROR = 2,
    SUBTITLE_ERROR_CODE_ASR_CONNECTION_ERROR = 3,
    SUBTITLE_ERROR_CODE_ASR_SERVICE_ERROR = 4,
    SUBTITLE_ERROR_CODE_BEFORE_JOIN_ROOM = 5,
    SUBTITLE_ERROR_CODE_ALREADY_ON = 6,
    SUBTITLE_ERROR_CODE_UNSUPPORTED_LANGUAGE = 7,
    SUBTITLE_ERROR_CODE_POST_PROCESS_TIMEOUT = 8,
    ByteRTCSubtitleErrorCodeUnknow = 9,
    ByteRTCSubtitleErrorCodeSuccess = 10,
    ByteRTCSubtitleErrorCodePostProcessError = 11,
    ByteRTCSubtitleErrorCodeASRConnectionError = 12,
    ByteRTCSubtitleErrorCodeASRServiceError = 13,
    ByteRTCSubtitleErrorCodeBeforeJoinRoom = 14,
    ByteRTCSubtitleErrorCodeAlreadyOn = 15,
    ByteRTCSubtitleErrorCodeUnsupportedLanguage = 16,
    ByteRTCSubtitleErrorCodePostProcessTimeout = 17
}
export declare enum ErrorCode {
    /** {en}
     * @platform android
     * @brief Token  is invalid. Returned by {@link onRoomStateChanged onRoomStateChanged}. <br>
     *        The token used when entering the room is invalid or expired. The user is required to retrieve the token and call the `updateToken` method to update the token.
     *
     */
    ERROR_CODE_INVALID_TOKEN = 0,
    /** {en}
     * @platform android
     * @brief Join room error. Returned by {@link onRoomStateChanged onRoomStateChanged}. <br>
     * An unknown error occurred while entering the room, which caused the joining room to fail. Users are required to rejoin the room.
     *
     */
    ERROR_CODE_JOIN_ROOM = 1,
    /** {en}
     * @platform android
     * @brief No permission to publish audio & video streams. Returned by {@link onRoomStateChanged onRoomStateChanged}. <br>
     *        The user failed to publish the audio & video stream in the room. The reason for the failure is that the user does not have permission to publish the stream.
     *
     */
    ERROR_CODE_NO_PUBLISH_PERMISSION = 2,
    /** {en}
     * @platform android
     * @brief No subscription permissions for audio & video streams. Returned by {@link onStreamStateChanged onStreamStateChanged}. <br>
     *        The user failed to subscribe to the audio & video stream in the room where the user is located. The reason for the failure is that the user does not have permission to subscribe to the stream.
     *
     */
    ERROR_CODE_NO_SUBSCRIBE_PERMISSION = 3,
    /** {en}
     * @platform android
     * @brief The user has been removed from the room because the same user joined the room on the other client. Returned by {@link onRoomStateChanged onRoomStateChanged}.
     *
     */
    ERROR_CODE_DUPLICATE_LOGIN = 4,
    /** {en}
     * @platform android
     * @brief The App ID parameter is abnormal. <br>
     *        The App ID parameter passed in when the engine was created is empty.
     *
     */
    ERROR_CODE_APP_ID_NULL = 5,
    /** {en}
     * @platform android
     * @brief The user has been remove from the room by the administrator via a OpenAPI call. Returned by {@link onRoomStateChanged onRoomStateChanged}.
     *
     */
    ERROR_CODE_KICKED_OUT = 6,
    /** {en}
     * @platform android
     * @brief When calling `createRoom`, if the roomId is illegal, it will return null and throw the error. Returned by {@link onCreateRoomStateChanged onCreateRoomStateChanged}.
     *
     */
    ERROR_CODE_ROOM_ID_ILLEGAL = 7,
    /** {en}
     * @platform android
     * @brief Token expired. Call `joinRoom` to rejoin with a valid Token. Returned by {@link onRoomStateChanged onRoomStateChanged}.
     *
     */
    ERROR_CODE_TOKEN_EXPIRED = 8,
    /** {en}
     * @platform android
     * @brief The Token you provided when calling `updateToken` is invalid. Returned by {@link onRoomStateChanged onRoomStateChanged}.
     *
     */
    ERROR_CODE_UPDATE_TOKEN_WITH_INVALID_TOKEN = 9,
    /** {en}
     * @platform android
     * @brief Users have been removed from the room because the administrator dismissed the room by calling OpenAPI. Returned by {@link onRoomStateChanged onRoomStateChanged}.
     *
     */
    ERROR_CODE_ROOM_DISMISS = 10,
    /** {en}
     * @platform android
     * @brief A room with the same roomId already exists during the call echo test. Returned by {@link onCreateRoomStateChanged onCreateRoomStateChanged}.
     *
     */
    ERROR_CODE_ROOM_ALREADY_EXIST = 12,
    /** {en}
     * @platform android
     * @brief The local user joins multiple rooms with different uid. Returned by {@link onRoomStateChanged onRoomStateChanged}. <br>
     *        In the same engine instance, users need to use the same uid to join different rooms.
     *
     */
    ERROR_CODE_USER_ID_DIFFERENT = 13,
    /** {en}
     * @platform android
     * @brief The room has banned before the user calls `joinRoom`. Returned by {@link onRoomStateChanged onRoomStateChanged}.
     *
     */
    ERROR_CODE_JOIN_ROOM_ROOM_FORBIDDEN = 22,
    /** {en}
     * @platform android
     * @brief The user has banned before calling `joinRoom`. Returned by {@link onRoomStateChanged onRoomStateChanged}.
     *
     */
    ERROR_CODE_JOIN_ROOM_USER_FORBIDDEN = 23,
    /** {en}
     * @platform android
     * @brief Failed to subscribe to streams because the total number of subscribed streams has exceeded the upper limit. Returned by {@link onRoomStateChanged onRoomStateChanged}. <br>
     *        In order to ensure the performance and quality of audio & video calls in the game scenario, the server will limit the total number of audio & video streams subscribed by the user. When the total number of audio & video streams subscribed by the user has reached the maximum, continuing to subscribe to more streams will fail, and the user will receive this error notification.
     *
     */
    ERROR_CODE_OVER_SUBSCRIBE_LIMIT = 25,
    /** {en}
     * @platform android
     * @brief Failed to publish video stream because the total number of published streams has exceeded the upper limit. Returned by {@link onStreamStateChanged onStreamStateChanged}. <br>
     *        RTC will limit the total number of streams published in a single room, including video, audio, and screen streams. Local users will fail to publish streams to the room when the maximum number of published streams in the room has been reached, and will receive this error notification.
     *
     */
    ERROR_CODE_OVER_STREAM_PUBLISH_LIMIT = 27,
    /** {en}
     * @platform android
     * @brief A/V synchronization failed. <br>
     *        Current source audio ID has been set by other video publishers in the same room. <br>
     *        One single audio source cannot be synchronized with multiple video sources at the same time. <br>
     *        Returned by {@link onStreamStateChanged onStreamStateChanged}.
     *
     */
    ERROR_CODE_INVALID_AUDIO_SYNC_USERID_REPEATED = 28,
    /** {en}
     * @platform android
     * @brief The user has been removed from the room due to the abnormal status of server. Returned by {@link onRoomStateChanged onRoomStateChanged}. <br>
     *        SDK  is disconnected with the signaling server. It will not reconnect automatically. Please contact technical support.
     *
     */
    ERROR_CODE_ABNORMAL_SERVER_STATUS = 29,
    /** {en}
     * @platform android
     * @deprecated since 3.52, use ERROR_CODE_OVER_STREAM_PUBLISH_LIMIT(-1080) instead
     * @brief Publishing the screen stream failed, and the total number of publishing streams exceeded the upper limit. The <br>
     *        RTC will limit the total number of streams published in a single room, including video, audio, and screen streams. <br>
     *        Local users will fail to publish streams to the room when the maximum number of published streams in the room has been reached, and will receive this error notification.
     *
     */
    ERROR_CODE_OVER_SCREEN_PUBLISH_LIMIT = 32,
    /** {en}
     * @platform android
     * @deprecated since 3.52, use ERROR_CODE_OVER_STREAM_PUBLISH_LIMIT(-1080) instead
     * @brief The total number of published video streams exceeds the upper limit. <br>
     *        The RTC system limits the number of video streams posted in a single room. If the maximum number of video streams posted in the room has been reached, local users will fail to post video streams to the room again and will receive this error notification.
     *
     */
    ERROR_CODE_OVER_VIDEO_PUBLISH_LIMIT = 33,
    ByteRTCErrorCodeInvalidToken = 34,
    ByteRTCErrorCodeJoinRoom = 35,
    ByteRTCErrorCodeNoPublishPermission = 36,
    ByteRTCErrorCodeNoSubscribePermission = 37,
    ByteRTCErrorCodeDuplicateLogin = 38,
    ByteRTCErrorCodeKickedOut = 39,
    ByteRTCErrorCodeRoomIdIllegal = 40,
    ByteRTCErrorCodeTokenExpired = 41,
    ByteRTCErrorCodeUpdateTokenWithInvalidToken = 42,
    ByteRTCErrorCodeRoomDismiss = 43,
    ByteRTCRoomAlreadyExist = 45,
    ByteRTCUserIDDifferent = 46,
    ByteRTCErrorCodeJoinRoomRoomForbidden = 55,
    ByteRTCErrorCodeJoinRoomUserForbidden = 56,
    ByteRTCErrorCodeOverStreamSubscribeLimit = 57,
    ByteRTCErrorCodeOverStreamPublishLimit = 58,
    ByteRTCErrorCodInvalidAudioSyncUidRepeated = 59,
    ByteRTCErrorCodeAbnormalServerStatus = 60,
    ByteRTCErrorCodeOverScreenPublishLimit = 64,
    ByteRTCErrorCodeOverVideoPublishLimit = 65
}
export declare enum WarningCode {
    /** {en}
     * @platform android
     * @brief Failed to enter the room. Returned by {@link onRoomStateChanged onRoomStateChanged}. <br>
     *        When you enter the room for the first time or disconnect and reconnect due to poor network condition, the room entry failed due to a server error. The SDK automatically retries to join the room.
     *
     */
    WARNING_CODE_JOIN_ROOM_FAILED = 0,
    /** {en}
     * @platform android
     * @brief Release audio & video stream failed. Returned by {@link onStreamStateChanged onStreamStateChanged}. <br>
     *        When you publish audio & video streams in your room, the publication fails due to a server error. The SDK automatically retries the release.
     *
     */
    WARNING_CODE_PUBLISH_STREAM_FAILED = 1,
    /** {en}
     * @platform android
     * @brief Subscription to audio & video stream failed. Returned by {@link onStreamStateChanged onStreamStateChanged}. <br>
     *         The subscription failed because the audio & video stream for the subscription could not be found in the current room. The SDK will automatically retry the subscription. If the subscription fails, it is recommended that you exit the retry.
     *
     */
    WARNING_CODE_SUBSCRIBE_STREAM_FAILED404 = 2,
    /** {en}
     * @platform android
     * @brief Subscription to audio & video stream failed. Returned by {@link onStreamStateChanged onStreamStateChanged}. <br>
     *        When you subscribe to audio & video streams in your room, the subscription fails due to a server error. The SDK automatically retries the subscription.
     *
     */
    WARNING_CODE_SUBSCRIBE_STREAM_FAILED5XX = 3,
    /** {en}
     * @platform android
     * @brief This warning is triggered when a call to `setUserVisibility` sets its own visibility to false and then attempts to publish the flow. Returned by {@link onStreamStateChanged onStreamStateChanged}.
     *
     */
    WARNING_CODE_PUBLISH_STREAM_FORBIDEN = 6,
    /** {en}
     * @platform android
     * @brief Sending a custom broadcast message failed, you are not currently in the room.
     *
     */
    WARNING_CODE_SEND_CUSTOM_MESSAGE = 7,
    /** {en}
     * @platform android
     * @brief When the number of people in the room exceeds 500, stop sending `onUserJoined` and `onUserLeave` callbacks to existing users in the room, and prompt all users in the room via broadcast. Returned by {@link onRoomStateChanged onRoomStateChanged}.
     *
     */
    WARNING_CODE_RECEIVE_USER_NOTIFY_STOP = 8,
    /** {en}
     * @platform android
     * @brief User had published in other room. Returned by {@link onStreamStateChanged onStreamStateChanged}.
     *
     */
    WARNING_CODE_USER_IN_PUBLISH = 9,
    /** {en}
     * @platform android
     * @brief A room with the same roomId already exists. The newly created room instance has replaced the old one. Returned by {@link onRoomStateChanged onRoomStateChanged}.
     *
     */
    WARNING_CODE_OLD_ROOM_BEEN_REPLACED = 10,
    /** {en}
     * @platform android
     * @brief this API has been banned for the engine is in echo testing mode.
     *
     */
    WARNING_CODE_IN_ECHO_TEST_MODE = 11,
    /** {en}
     * @platform android
     * @brief The camera permission is abnormal, and the current application does not obtain the camera permission.
     *
     */
    WARNING_CODE_NO_CAMERA_PERMISSION = 12,
    /** {en}
     * @platform android
     * @brief Setting the screen audio capture type by calling {@link setScreenAudioSourceType setScreenAudioSourceType} after {@link publishScreen publishScreen} is not supported.
     *
     */
    WARNING_CODE_SET_SCREEN_AUDIO_SOURCE_TYPE_FAILED = 13,
    /** {en}
     * @platform android
     * @brief After {@link publishScreen publishScreen}, calling {@link setScreenAudioStreamIndex setScreenAudioStreamIndex} to set the screen audio share publication type is not supported
     *
     */
    WARNING_CODE_SET_SCREEN_STREAM_INDEX_FAILED = 14,
    /** {en}
     * @platform android
     * @brief Invalid pitch value setting
     *
     */
    WARNING_CODE_SET_SCREEN_STREAM_INVALID_VOICE_PITCH = 15,
    /** {en}
     * @platform android
     * @brief Mixed use of old and new interfaces for external audio sources
     *
     */
    WARNING_CODE_INVALID_CALL_FOR_EXT_AUDIO = 16,
    /** {en}
     * @platform android
     * @brief Authorization failure for [BytePlus Audio SDK](https://go.byteplus.com/audio-sdk). Contact the technical supporters.
     *
     */
    WARNING_CODE_INVALID_SAMI_APPKEY_OR_TOKEN = 17,
    /** {en}
     * @platform android
     * @brief Failure to get the resource for [BytePlus Audio SDK](https://go.byteplus.com/audio-sdk). Input the right DAT path or contact the technical supporters.
     *
     */
    WARNING_CODE_INVALID_RESOURCE_PATH = 18,
    /** {en}
     * @platform android
     * @brief Failure to load the library for [BytePlus Audio SDK](https://go.byteplus.com/audio-sdk). Use right library or contact the technical supporters.
     *
     */
    WARNING_CODE_LOAD_SAMI_LIBRARY_FAILED = 19,
    /** {en}
     * @platform android
     * @brief The audio effect is not supported by [BytePlus Audio SDK](https://go.byteplus.com/audio-sdk). Contact the technical supporters.
     *
     */
    WARNING_CODE_INVALID_SAMI_EFFECT_TYPE = 20,
    /** {en}
     * @platform android
     * @deprecated since 3.45 and will be deleted in 3.51.
     * @brief Failed to get room information Warning
     * @note SDK Failed to get room information (including timeout, returning an error code other than 200), try again every two seconds. <br>
     *         After 5 consecutive failures, report the warning and continue to try again. <br>
     *        Suggest to prompt the user: Failed to enter the room, please try again later
     *
     */
    WARNING_CODE_GET_ROOM_FAILED = 21,
    /** {en}
     * @platform android
     * @deprecated since 3.45 and will be deleted in 3.51.
     * @brief When automatic subscription mode is not turned off, trying to turn on manual subscription mode will trigger this warning. <br>
     *        You need to turn off the automatic subscription mode before entering the room, and then call the {@link subscribeUserStream subscribeUserStream} method to manually subscribe to the audio & video stream.
     *
     */
    WARNING_CODE_SUBSCRIBE_STREAM_FORBIDEN = 22,
    /** {en}
     * @platform android
     * @deprecated since 3.45 and will be deleted in 3.51.
     * @brief there is a room with the same roomId
     *
     */
    WARNING_CODE_ROOM_ID_ALREADY_EXIST = 23,
    /** {en}
     * @platform android
     * @brief The microphone permission is abnormal, and the current application does not obtain microphone permission.
     * @deprecated since 3.45 and will be deleted in 3.51, use {@link MediaDeviceError MediaDeviceError}.MEDIA_DEVICE_ERROR_NOPERMISSION instead.
     *
     */
    WARNING_CODE_NO_MICROPHONE_PERMISSION = 24,
    /** {en}
     * @platform android
     * @brief The audio capture device failed to start. <br>
     *        Failed to start the audio capture device, the current device may be occupied by other applications.
     * @deprecated since 3.45 and will be deleted in 3.51, use {@link MediaDeviceError MediaDeviceError}.MEDIA_DEVICE_ERROR_DEVICEFAILURE instead.
     *
     */
    WARNING_CODE_RECODING_DEVICE_START_FAILED = 25,
    /** {en}
     * @platform android
     * @brief Audio playback device startup failure warning. <br>
     *        It may be due to insufficient system resources or wrong parameters.
     * @deprecated since 3.45 and will be deleted in 3.51, use {@link MediaDeviceError MediaDeviceError}.MEDIA_DEVICE_ERROR_DEVICEFAILURE instead.
     *
     */
    WARNING_CODE_PLAYOUT_DEVICE_START_FAILED = 26,
    /** {en}
     * @platform android
     * @brief No audio acquisition equipment available. <br>
     *        Failed to start the audio capture device, please insert the available audio capture device.
     * @deprecated since 3.45 and will be deleted in 3.51, use {@link MediaDeviceError MediaDeviceError}.MEDIA_DEVICE_ERROR_DEVICENOTFOUND instead.
     *
     */
    WARNING_CODE_NO_RECORDING_DEVICE = 27,
    /** {en}
     * @platform android
     * @brief No audio playback device available. <br>
     *        Failed to start the audio playback device, please insert the available audio playback device.
     * @deprecated since 3.45 and will be deleted in 3.51, use {@link MediaDeviceError MediaDeviceError}.MEDIA_DEVICE_ERROR_DEVICENOTFOUND instead.
     *
     */
    WARNING_CODE_NO_PLAYOUT_DEVICE = 28,
    /** {en}
     * @platform android
     * @brief The current audio equipment has not collected valid sound data, please check and replace the audio acquisition equipment.
     * @deprecated since 3.45 and will be deleted in 3.51, use {@link MediaDeviceWarning MediaDeviceWarning}.MEDIA_DEVICE_WARNING_CAPTURE_SILENCE instead.
     *
     */
    WARNING_CODE_RECORDING_SILENCE = 29,
    /** {en}
     * @platform android
     * @brief Media device misoperation warning. <br>
     *        When using custom acquisition, the internal acquisition switch cannot be called, and this warning will be triggered when called.
     * @deprecated since 3.45 and will be deleted in 3.51, use {@link MediaDeviceWarning MediaDeviceWarning}.MEDIA_DEVICE_WARNING_OPERATION_DENIED instead.
     *
     */
    WARNING_CODE_MEDIA_DEVICE_OPERATION_DENIED = 30,
    ByteRTCWarningCodeJoinRoomFailed = 31,
    ByteRTCWarningCodePublishStreamFailed = 32,
    ByteRTCWarningCodeSubscribeStreamFailed404 = 33,
    ByteRTCWarningCodeSubscribeStreamFailed5xx = 34,
    ByteRTCWarningCodePublishStreamForbiden = 37,
    ByteRTCWarningCodeSendCustomMessage = 38,
    ByteRTCWarningCodeCodeUserNotifyStop = 39,
    ByteRTCWarningCodeUserInPublish = 40,
    ByteRTCWarningCodeOldRoomBeenReplaced = 41,
    ByteRTCWarningCodeInEchoTestMode = 42,
    ByteRTCWarningCodeNoCameraPermission = 43,
    ByteRTCWarningSetScreenAudioSourceTypeFailed = 44,
    ByteRTCWarningSetScreenAudioStreamIndexFailed = 45,
    ByteRTCWarningInvalidVoicePitch = 46,
    ByteRTCWarningInvalidCallForExtAudio = 47,
    ByteRTCWarningCodeInvalidCanvasHandle = 48,
    ByteRTCWarningCodeInvaildSamiAppkeyORToken = 49,
    ByteRTCWarningCodeInvaildSamiResourcePath = 50,
    ByteRTCWarningCodeLoadSamiLibraryFailed = 51,
    ByteRTCWarningCodeInvaildSamiEffectType = 52,
    ByteRTCWarningCodeGetRoomFailed = 53,
    ByteRTCWarningCodeSubscribeStreamForbiden = 54,
    ByteRTCWarningCodeRoomAlreadyExist = 55,
    ByteRTCWarningCodeNoMicrophonePermission = 56,
    ByteRTCWarningCodeAudioDeviceManagerRecordingStartFail = 57,
    ByteRTCWarningCodeAudioDeviceManagerPlayoutStartFail = 58,
    ByteRTCWarningCodeNoRecordingDevice = 59,
    ByteRTCWarningCodeNoPlayoutDevice = 60,
    ByteRTCWarningCodeRecordingSilence = 61,
    ByteRTCWarningCodeMediaDeviceOperationDennied = 62
}
export declare enum RoomMessageSendResult {
    /** {en}
     * @platform android
     * @brief Success
     *
     */
    ROOM_MESSAGE_SEND_RESULT_SUCCESS = 0,
    /** {en}
     * @platform android
     * @brief Failure. Exceeds QPS limit.
     *
     */
    ROOM_MESSAGE_SEND_RESULT_EXCEED_QPS = 1,
    /** {en}
     * @platform android
     * @brief Failure. The sender of the message is not in the room.
     *
     */
    ROOM_MESSAGE_SEND_RESULT_NOT_JOIN = 2,
    /** {en}
     * @platform android
     * @brief Failure. The connection is not initialized.
     *
     */
    ROOM_MESSAGE_SEND_RESULT_INIT = 3,
    /** {en}
     * @platform android
     * @brief Failure. No data transmission channel connection available.
     *
     */
    ROOM_MESSAGE_SEND_RESULT_NO_CONNECTION = 4,
    /** {en}
     * @platform android
     * @brief Failure. Message exceeds 64KB.
     *
     */
    ROOM_MESSAGE_SEND_RESULT_EXCEED_MAX_LENGTH = 5,
    /** {en}
     * @platform android
     * @brief Failure. Unknown error.
     *
     */
    ROOM_MESSAGE_SEND_RESULT_UNKNOWN = 6,
    ByteRTCRoomMessageSendResultSuccess = 7,
    ByteRTCRoomMessageSendResultTimeout = 8,
    ByteRTCRoomMessageSendResultNetworkDisconnected = 9,
    ByteRTCRoomMessageSendResultExceedQPS = 10,
    ByteRTCRoomMessageSendResultNotJoin = 11,
    ByteRTCRoomMessageSendResultInit = 12,
    ByteRTCRoomMessageSendResultNoConnection = 13,
    ByteRTCRoomMessageSendResultExceedMaxLength = 14,
    ByteRTCRoomMessageSendResultUnknown = 15
}
export declare enum LoginErrorCode {
    /** {en}
     * @platform android
     * @brief Call the `login` method to log in successfully.
     *
     */
    LOGIN_ERROR_CODE_SUCCESS = 0,
    /** {en}
     * @platform android
     * @brief The Token used when calling the `login` method is invalid or expired. The user is required to re-acquire the token.
     *
     */
    LOGIN_ERROR_CODE_INVALID_TOKEN = 1,
    /** {en}
     * @platform android
     * @brief Login error. <br>
     *        An unknown error occurred when calling the `login` method, which caused the login to fail and requires re-login.
     *
     */
    LOGIN_ERROR_CODE_LOGIN_FAILED = 2,
    /** {en}
     * @platform android
     * @brief There was a problem with the user ID passed in when the `login` method was called.
     *
     */
    LOGIN_ERROR_CODE_INVALID_USER_ID = 3,
    /** {en}
     * @platform android
     * @brief Server error when calling `login` to log in.
     *
     */
    LOGIN_ERROR_CODE_SERVER_ERROR = 4,
    ByteRTCLoginErrorCodeSuccess = 5,
    ByteRTCLoginErrorCodeInvalidToken = 6,
    ByteRTCLoginErrorCodeLoginFailed = 7,
    ByteRTCLoginErrorCodeInvalidUserId = 8,
    ByteRTCLoginErrorCodeServerError = 9
}
export declare class t_WarningCode {
    static ts_to_android(value: WarningCode): $p_a.WarningCode;
    static android_to_ts(value: $p_a.WarningCode): WarningCode;
    static ts_to_ios(value: WarningCode): $p_i.ByteRTCWarningCode;
    static ios_to_ts(value: $p_i.ByteRTCWarningCode): WarningCode;
}
export declare class t_ErrorCode {
    static ts_to_android(value: ErrorCode): $p_a.ErrorCode;
    static android_to_ts(value: $p_a.ErrorCode): ErrorCode;
    static ts_to_ios(value: ErrorCode): $p_i.ByteRTCErrorCode;
    static ios_to_ts(value: $p_i.ByteRTCErrorCode): ErrorCode;
}
export declare class t_LoginErrorCode {
    static ts_to_android(value: LoginErrorCode): $p_a.LoginErrorCode;
    static android_to_ts(value: $p_a.LoginErrorCode): LoginErrorCode;
    static ts_to_ios(value: LoginErrorCode): $p_i.ByteRTCLoginErrorCode;
    static ios_to_ts(value: $p_i.ByteRTCLoginErrorCode): LoginErrorCode;
}
export declare class t_UserMessageSendResult {
    static ts_to_android(value: UserMessageSendResult): $p_a.UserMessageSendResult;
    static android_to_ts(value: $p_a.UserMessageSendResult): UserMessageSendResult;
    static ts_to_ios(value: UserMessageSendResult): $p_i.ByteRTCUserMessageSendResult;
    static ios_to_ts(value: $p_i.ByteRTCUserMessageSendResult): UserMessageSendResult;
}
export declare class t_AudioRecordingErrorCode {
    static ts_to_android(value: AudioRecordingErrorCode): $p_a.AudioRecordingErrorCode;
    static android_to_ts(value: $p_a.AudioRecordingErrorCode): AudioRecordingErrorCode;
    static ts_to_ios(value: AudioRecordingErrorCode): $p_i.ByteRTCAudioRecordingErrorCode;
    static ios_to_ts(value: $p_i.ByteRTCAudioRecordingErrorCode): AudioRecordingErrorCode;
}
export declare class t_PublicStreamErrorCode {
    static ts_to_android(value: PublicStreamErrorCode): $p_a.PublicStreamErrorCode;
    static android_to_ts(value: $p_a.PublicStreamErrorCode): PublicStreamErrorCode;
    static ts_to_ios(value: PublicStreamErrorCode): $p_i.ByteRTCPublicStreamErrorCode;
    static ios_to_ts(value: $p_i.ByteRTCPublicStreamErrorCode): PublicStreamErrorCode;
}
export declare class t_RoomMessageSendResult {
    static ts_to_android(value: RoomMessageSendResult): $p_a.RoomMessageSendResult;
    static android_to_ts(value: $p_a.RoomMessageSendResult): RoomMessageSendResult;
    static ts_to_ios(value: RoomMessageSendResult): $p_i.ByteRTCRoomMessageSendResult;
    static ios_to_ts(value: $p_i.ByteRTCRoomMessageSendResult): RoomMessageSendResult;
}
export declare class t_SubtitleErrorCode {
    static ts_to_android(value: SubtitleErrorCode): $p_a.SubtitleErrorCode;
    static android_to_ts(value: $p_a.SubtitleErrorCode): SubtitleErrorCode;
    static ts_to_ios(value: SubtitleErrorCode): $p_i.ByteRTCSubtitleErrorCode;
    static ios_to_ts(value: $p_i.ByteRTCSubtitleErrorCode): SubtitleErrorCode;
}
export declare class t_KTVErrorCode {
    static ts_to_android(value: KTVErrorCode): $p_a.KTVErrorCode;
    static android_to_ts(value: $p_a.KTVErrorCode): KTVErrorCode;
    static ts_to_ios(value: KTVErrorCode): $p_i.ByteRTCKTVErrorCode;
    static ios_to_ts(value: $p_i.ByteRTCKTVErrorCode): KTVErrorCode;
}
