// Copyright © 2022 BytePlusRTC All rights reserved.
// SPDX-License-Identifier: MIT

import { RTCVideo, type ProblemFeedbackOption } from '../codegen/pack';
import type { IFeedbackProblemInfo, IRemoteStreamInfo } from '../interface';
declare module '../codegen/pack' {
    interface RTCVideo {
        feedback(options: ProblemFeedbackOption[], info: IFeedbackProblemInfo): number;
        setRuntimeParameters(params: Record<string, string>): number;
        setRemoteAudioPlaybackVolume(config: IRemoteStreamInfo, volume: number): void;
        startVodPlayerCapture(player: any): Promise<void>;
        stopVodPlayerCapture(player: any): Promise<void>;
    }
}
export { RTCVideo };
